<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NetscriptPort](./bitburner.netscriptport.md) &gt; [clear](./bitburner.netscriptport.clear.md)

## NetscriptPort.clear() method

Empties all data from the port.

**Signature:**

```typescript
clear(): void;
```
**Returns:**

void

## Remarks

RAM cost: 0 GB

